# Class VulkanLWJGLEXTLayerSettingsHandler

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLEXTLayerSettingsHandler

All Implemented Interfaces:
  `VulkanLWJGLInstanceExtensionInfoHandlerType`

public final class VulkanLWJGLEXTLayerSettingsHandler extends Object implements VulkanLWJGLInstanceExtensionInfoHandlerType
A handler for the layer settings extension.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanLWJGLEXTLayerSettingsHandler()`
  A handler for the layer settings extension.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `supports(Class<? extends VulkanInstanceExtensionInfoType> clazz)`
  Whether this handler supports extension info of the given type.
  `long`
  `transform(org.lwjgl.system.MemoryStack stack, VulkanInstanceExtensionInfoType info, long next)`
  Transform the given info to native structures.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VulkanLWJGLEXTLayerSettingsHandler

    public VulkanLWJGLEXTLayerSettingsHandler()
    A handler for the layer settings extension.

- ## Method Details

  - ### supports

    public boolean supports(Class<? extends VulkanInstanceExtensionInfoType> clazz)
    Description copied from interface: `VulkanLWJGLInstanceExtensionInfoHandlerType`
    Whether this handler supports extension info of the given type.
    Specified by:
      `supports` in interface `VulkanLWJGLInstanceExtensionInfoHandlerType`
    Parameters:
      `clazz` - The type
    Returns:
      `true` if this handler supports info of the given type

  - ### transform

    public long transform(org.lwjgl.system.MemoryStack stack, VulkanInstanceExtensionInfoType info, long next) throws VulkanException
    Description copied from interface: `VulkanLWJGLInstanceExtensionInfoHandlerType`
    Transform the given info to native structures.
    Specified by:
      `transform` in interface `VulkanLWJGLInstanceExtensionInfoHandlerType`
    Parameters:
      `stack` - The memory stack
      `info` - The info
      `next` - The next pointer
    Returns:
      The transformed data
    Throws:
      `VulkanException` - On errors